<template lang="html">
  <div class="profile-content">
    <div class="profile-tabs tabs is-centered">
      <ul>
        <li @click="selectedTab='posts'" :class="{'is-active':selectedTab=='posts'}">
          <a>Publications</a>
        </li>
        <li @click="selectedTab='infos'" :class="{'is-active':selectedTab=='infos'}">
          <a>Informations</a>
        </li>
        <li v-if="isAuthedProfile" :class="{'is-active':selectedTab=='params'}" @click="selectedTab='params'">
          <a>Paramètres</a>
        </li>
      </ul>
    </div>
    <section class="section">
      <profile-params :profile="profile" v-if="isAuthedProfile && selectedTab=='params'"/>
      <profile-informations :profile="profile" v-if="selectedTab=='infos'"/>
      <profile-posts :authed-profile="authedProfile" :profile="profile" v-if="selectedTab=='posts'"/>
    </section>
  </div>
</template>

<script>
import profileParams from '@/components/ProfileParams'
import profileInformations from '@/components/ProfileInformations'
import profilePosts from '@/components/ProfilePosts'
export default {
  data(){
    return {
      selectedTab:"posts"
    }
  },
  name:'ProfileContent',
  props:['profile','authedProfile'],
  components:{
    'profileParams' : profileParams,
    'profileInformations' : profileInformations,
    'profilePosts' : profilePosts,
  },
  computed:{
    isAuthedProfile(){
      return this.profile.username === this.authedProfile.username;
    }
  }
}
</script>

<style lang="scss" scoped>
.profile-tabs {
  margin: 0;
}
</style>
